package core.notevault.data;

import androidx.room.Entity;
import androidx.room.Ignore;
import androidx.room.PrimaryKey;

@Entity(tableName = "music_notes")
public class MusicNote {

    @PrimaryKey(autoGenerate = true)
    private long musicNoteId;
    private String title;
    private String composer;
    private int year;
    private String genre;

    @Ignore
    public MusicNote(String title,  String composer, int year, String genre) {
        this.title = title;
        this.composer = composer;
        this.year = year;
        this.genre = genre;
    }

    public MusicNote() {
    }

    public long getMusicNoteId() {
        return musicNoteId;
    }

    public void setMusicNoteId(long musicNoteId) {
        this.musicNoteId = musicNoteId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getComposer() {
        return composer;
    }

    public void setComposer(String composer) {
        this.composer = composer;
    }

    public String getGenre() {
        return genre;
    }

    public void setGenre(String genre) {
        this.genre = genre;
    }

    public int getYear() {
        return year;
    }

    public void setYear(int year) {
        this.year = year;
    }
}
