package core.notevault.data;

import androidx.room.Entity;
import androidx.room.Ignore;
import androidx.room.PrimaryKey;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Locale;

@Entity(tableName = "concerts")
public class Concert {

    @PrimaryKey(autoGenerate = true)
    private int id;

    private String title;
    private String concertDate;

    @Ignore
    public Concert(String title, String concertDate) {
        this.title = title;
        this.concertDate = concertDate;
    }

    public Concert() {
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getConcertDate() {
        return concertDate;
    }

    public void setConcertDate(String concertDate) {
        this.concertDate = concertDate;
    }
}
